import momentJs from 'moment'

function timeRangeFormat(range) {
	let timeRange = ''
	switch (`${range}`) {
		case 'now':
			timeRange = momentJs().format('YYYYMMDD')
			break;
		case 'week':
			timeRange = momentJs().subtract(7, 'days').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case 'tomorrow':
			timeRange = momentJs().add(1, 'days').format('YYYYMMDD')
			break;
		case '1':
			timeRange = momentJs().subtract(1, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '2':
			timeRange = momentJs().subtract(2, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '3':
			timeRange = momentJs().subtract(3, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '4':
			timeRange = momentJs().subtract(4, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '5':
			timeRange = momentJs().subtract(5, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '6':
			timeRange = momentJs().subtract(6, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '7':
			timeRange = momentJs().subtract(7, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '8':
			timeRange = momentJs().subtract(8, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '9':
			timeRange = momentJs().subtract(9, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '10':
			timeRange = momentJs().subtract(10, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '11':
			timeRange = momentJs().subtract(11, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		case '12':
			timeRange = momentJs().subtract(12, 'M').calendar({
				sameElse: 'YYYYMMDD'
			})
			break;
		default:
			break;
	}

	return timeRange
}

export {
	timeRangeFormat
};
